Subject: Re: Honor extractor's umask in git-tar-tree.

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 02 Oct 2005 21:44:43 -0700

Matthias Urlichs wrote:
> Hi, H. Peter Anvin wrote:
> 
>>I've thought that it would be nice if the files/directories were written
>>into the archive with 0666/0777 permissions by default, and then
>>extracted with the umask honoured.
> 
> The git archive oesn't *have* permissions, just one "execute" bit.
> 

My point is that I believe it should.  It has the bitfield for it, it 
just doesn't use it at the moment.

>> A special option then could be used
>>to add files with special permissions, like files in .ssh, which *have*
>>to be g-w or sshd will reject them.
> 
> I'd include a script in the archive which you'd run afterwards to fix
> problems like this. IMHO, in most situations you'll need it anyway
> (for instance, to re-start services).

That is true in some cases, but I highly disagree with the statement "most".

	-hpa